Make download-tarballs more Indiana-compatible: nv_97
authorAlan Coopersmith <Alan.Coopersmith@Sun.COM>
Tue, 12 Aug 2008 13:59:15 -0700
changeset 496 b88fb0eea032
parent 495 510cfec4d39b
child 497 00e00431c469
Make download-tarballs more Indiana-compatible: Port to ksh93, force Solaris make first in PATH
download-tarballs
--- a/download-tarballs	Mon Aug 11 14:24:21 2008 -0700
+++ b/download-tarballs	Tue Aug 12 13:59:15 2008 -0700
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/ksh93
 #
 ###########################################################################
 #
-# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a
 # copy of this software and associated documentation files (the
@@ -31,16 +31,17 @@
 #
 ###########################################################################
 #
-# ident "@(#)download-tarballs	1.3	07/01/31 SMI"
+# ident "@(#)download-tarballs	1.4	08/08/12 SMI"
 #
 
 CLOBBER=0
 WGET=/usr/sfw/bin/wget
 MAKE_FLAGS="-k"
+# Make sure Solaris make, not GNU make, is first in the $PATH
+export PATH=/usr/bin:/usr/ccs/bin
 
 set -- `getopt cn $*`
-if [ $? != 0 ]
-then
+if [[ $? != 0 ]] ; then
     echo USAGE: $0 [-c] [-n]
     exit 2
 fi
@@ -55,10 +56,10 @@
 set -v
 
 cd open-src
-if [ $CLOBBER = 1 ] ; then
+if [[ $CLOBBER = 1 ]] ; then
     rm -rf tarballs
 fi
-if [ ! -d tarballs ] ; then 
+if [[ ! -d tarballs ]] ; then 
     mkdir tarballs
 fi
 make $MAKE_FLAGS download